<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='30' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
    {
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <?php include ('head.php');?>
</head>
<body>
<?php
    $inicio="";
    $M_inventario="";
    $M_contactos="";
    $M_compras="";
    $M_ventas="";
    $M_pos="";
    $R_reportes="";

    $ventas="";
    $remisiones="";
    $cajas="";
    $apartadas="";
    $orden="";
    $movimientos="";
    $periodica=""; 
    $cocina="";
    $mesas="";
    include ('menu_pos.php');
    $pen_id=$_GET['pen_id'];
?>
<div class="main" style="padding-top:5px;">
    <div class="col-lg-8 col-md-7 col-sm-12 col-xs-12" >
        <div class="widget stacked">
            <div class="widget-header"> </div>
            <div class="widget-content">
                <?php include('php_buscador/menu.php'); ?>
                <div class="widget">
                    <form name="barras" id="barras" method="post" >
                        <?php if($tipo_soft<>'2'){?>
                        <div class="input-group">
                            <input autofocus type="text" class="form-control" id="art_barras" placeholder="Codigo de barras" autocomplete="off" accesskey="w" title="alt + w">
                            <span class="input-group-btn">
                            <a href="#myModal" data-toggle="modal" class="btn btn-success hide-grid">
                            <i class="icon-plus hidden-lg"></i>
                            <span class="visible-lg">Agregar Artículos</span>
                            </a>
                            </span>
                        </div>
                    <?php } ?>
                    </form>
                </div>                
                <div id="scroll"></div>
                </br>
                <div class="div_menu" id="div_menu"></div>
            </div>
        </div>
    </div>
    <div class="col-lg-4 col-md-5 col-sm-12 col-xs-12" >
        <div class="col-md-12 ">
            <div class="widget stacked">
                <div class="widget-header"> </div>
                <div class="widget-content" >
                    <div class="" id="mesa"></div>
                    <div class="btn-group btn-group-justified btn-group-sm">
                        <a href="P_turno.php" class="btn btn-warning"><i class="btn-icon-only fa fa-angle-double-left"></i>VOLVER A ZONAS</a> 
                        <a href="#traslado"  data-toggle="modal" class="btn btn-info"><i class="btn-icon-only fas fa-retweet"></i>TRANSLADO DE MESA</a>
                    </div>
                    <div id="cliente"></div>
                    <div class="tabbable">
                        <ul class="nav nav-tabs">
                            <li class="active"><a href="#PEDIDO" data-toggle="tab">PEDIDO</a></li>
                            <li><a href="#PEDIDO_GENERAL" data-toggle="tab">CONFIRMADO</a></li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="PEDIDO">
                                <div id="tabla" class="" style="overflow-y: scroll; height:350px;"></div>
                            </div>

                            <div class="tab-pane" id="PEDIDO_GENERAL">
                                <div id="tabla2" style="overflow-y: scroll; height:350px;"></div>
                            </div>
                        </div>
                    </div></br>
                    <div class="">
                        <div id="total"></div>
                    </div>
                </div>
            </div>
            </br> </br> </br>       
        </div>
    </div>
    </br>
</div>

<div class="modal fade" id="cobrar" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" data-backdrop="static">
  <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">
              <h4 class="modal-title">COMPLETAR VENTA</h4>
          </div>
          <div class="modal-body">
              <div id="form-fact"></div>
          </div>
      </div>
  </div>
</div>
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Actualizar</h4>
            </div>
            <div class="modal-body">
                <div id="form-edit"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="editModalcombo" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Actualizar Combo</h4>
            </div>
            <div class="modal-body">
                <div id="form-edit_combo"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

  <div class="modal fade" id="modal_sabor_nuevo" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" style="z-index: 1px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Agregar sabor</h4>
            </div>
            <div class="modal-body">
                <div id="sabores"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->



<input type="hidden" name="pen_id" id="pen_id" value="<?php echo $pen_id;?>">
<input type="hidden" name="bajo_cero" id="bajo_cero" value="<?php echo $bajo_cero;?>">
<?php
include('php_buscador/buscador.php');
include('php_clientes/form_nuevo_cliente.php');
include('php_pedidos/form_cancelar.php');
include('php_pedidos/form_confirmar.php');

include('script.php');?>
<script>
$(document).ready(function(){
     load(1);
});

function load(page){
    var q= $("#q").val();
    var tipo=  document.querySelector('input[name="tipo"]:checked').value
    $("#loader").fadeIn('slow');
    $.ajax({
    url:'./php_buscador/articulos_pedido.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo,
     beforeSend: function(objeto){
     $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
      $(".outer_div").html(data).fadeIn('slow');
      $('#loader').html('');
    }
    })
}

function loadTabla(){
    var pen_id=$("#pen_id").val();
    $.get("./php_pedidos/tabla_articulos_derecha.php?pen_id="+pen_id,function(data){
    $("#tabla").html(data);
    })
}
loadTabla();

function loadTablaConfirmado(){
    var pen_id=$("#pen_id").val();
    $.get("./php_pedidos/tabla_articulos_derecha_archivado.php?pen_id="+pen_id,function(data){
    $("#tabla2").html(data);
    })
}
loadTablaConfirmado();

function loadmesa(){
    var pen_id=$("#pen_id").val();
    $.get("./php_pedidos/mesa_boton.php?pen_id="+pen_id,function(data){
    $("#mesa").html(data);
    })
}
loadmesa();


function loadcliente(){
    var pen_id=$("#pen_id").val();
    $.get("./php_pedidos/cliente.php?pen_id="+pen_id,function(data){
      $("#cliente").html(data);
    })
}
loadcliente();


function loadtotal(){
    var pen_id=$("#pen_id").val();
    $.get("./php_pedidos/total.php?pen_id="+pen_id,function(data){
    $("#total").html(data);
    })
}
loadtotal();


function agregar_articulo (art_id_bod)
{
    var pen_id=$("#pen_id").val();
    var bajo_cero=$("#bajo_cero").val();
    var art_id=document.getElementById('art_id'+art_id_bod).value;
    var nombre=document.getElementById('nombre'+art_id_bod).value;
    var cantidad=document.getElementById('cantidad'+art_id_bod).value;
    var cantidad_existente=document.getElementById('cantidadexistente'+art_id_bod).value;
    var art_iva=document.getElementById('art_iva'+art_id_bod).value;
    var precio_venta=document.getElementById('precio_venta'+art_id_bod).value;
    var descuento=document.getElementById('descuento'+art_id_bod).value;

    var tipo='articulo';

    if (bajo_cero=='No') 
    {
        if(cantidad>cantidad_existente)
        {
            alert('Ups! Articulo agotado');
            document.getElementById('cantidad'+art_id_bod).focus();
            return false;
        }
        else
        {
            $.ajax({
                type: "POST",
                url: "./php_pedidos/agregar_articulo.php",
                data: "art_id_bod="+art_id_bod+"&art_id="+art_id+"&nombre="+nombre+"&cantidad="+cantidad+"&art_iva="+art_iva+"&precio_venta="+precio_venta+"&descuento="+descuento+"&tipo="+tipo+"&pen_id="+pen_id,
            beforeSend: function(objeto){
                $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
            },
            success: function(datos){
            $("#tabla").html(datos);
            loadTabla();
            loadtotal();
            }
            }); 
        }
    }
    else
    {
        $.ajax({
            type: "POST",
            url: "./php_pedidos/agregar_articulo.php",
            data: "art_id_bod="+art_id_bod+"&art_id="+art_id+"&nombre="+nombre+"&cantidad="+cantidad+"&art_iva="+art_iva+"&precio_venta="+precio_venta+"&descuento="+descuento+"&tipo="+tipo+"&pen_id="+pen_id,
        beforeSend: function(objeto){
            $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#tabla").html(datos);
        loadTabla();
        loadtotal();
        }
        });
    } 
}

function agregarcombo (com_id)
{
    var pen_id=$("#pen_id").val();
    var com_id=document.getElementById('com_id'+com_id).value;
    var nombre=document.getElementById('com_nombre'+com_id).value;
    var art_iva=document.getElementById('com_iva'+com_id).value;
    var cantidad=document.getElementById('com_cantidad'+com_id).value;
    var precio_venta=document.getElementById('com_precio_venta'+com_id).value;
    var descuento=document.getElementById('com_descuento'+com_id).value;
    var tipo='combo';

    $.ajax({
    type: "POST",
    url: "./php_pedidos/agregar_articulo.php",
    data: "com_id="+com_id+"&nombre="+nombre+"&art_iva="+art_iva+"&cantidad="+cantidad+"&descuento="+descuento+"&precio_venta="+precio_venta+"&tipo="+tipo+"&pen_id="+pen_id,
    beforeSend: function(objeto){
     $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#tabla").html(datos);
    }
    });
}

function agregar_producto_servicio (art_id)
{
    var pen_id=$("#pen_id").val();
    var art_id=document.getElementById('art_id'+art_id).value;
    var art_referencia=document.getElementById('art_referencia'+art_id).value;
    var nombre=document.getElementById('nombre'+art_id).value;
    var precio_venta=document.getElementById('precio_venta'+art_id).value;
    var art_iva=document.getElementById('art_iva'+art_id).value;
    var descuento=document.getElementById('descuento'+art_id).value;
    var cantidad=document.getElementById('cantidad'+art_id).value;
    var tipo=document.getElementById('tipo'+art_id).value;


    $.ajax({
    type: "POST",
    url: "./php_pedidos/agregar_articulo.php",
    data: "art_id="+art_id+"&art_referencia="+art_referencia+"&nombre="+nombre+"&precio_venta="+precio_venta+"&art_iva="+art_iva+"&descuento="+descuento+"&cantidad="+cantidad+"&tipo="+tipo+"&pen_id="+pen_id,
    beforeSend: function(objeto){
     $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#tabla").html(datos);
    }
    });
}




function agregar_detallado (artd_id)
{
    var pen_id=$("#pen_id").val();
    var bajo_cero=document.getElementById('bajo_cero').value;
    var art_id=document.getElementById('art_id'+artd_id).value;
    var art_referencia=document.getElementById('artd_referencia'+artd_id).value;
    var nombre=document.getElementById('nombre'+artd_id).value;
    var cantidadexistente=document.getElementById('cantidadexistente'+artd_id).value;
    var cantidad=document.getElementById('cantidad'+artd_id).value;
    var descuento=document.getElementById('descuento'+artd_id).value;
    var precio_costo=document.getElementById('precio_costo'+artd_id).value;
    var art_iva=document.getElementById('artd_iva'+artd_id).value;
    var precio_venta=document.getElementById('precio_venta'+artd_id).value;

    //Inicia validacion
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+artd_id).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+artd_id).focus();
        return false;
    }
    //Fin validacion
    if(bajo_cero=='Si')
    {
        if (parseInt(cantidadexistente) < parseInt(cantidad))
        {
            alert('Esta facturando por debajo de la cantidad existente en bodega !');
            document.getElementById('cantidad'+artd_id).focus();
        }
        if(parseInt(precio_venta)<parseInt(precio_costo))
        {
            alert('Esta facturando por debajo del precio de compra!');
        }
        $.ajax(
        {
            type: "POST",
            url: "./php_pedidos/agregar_detallado.php",
            data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&pen_id="+pen_id,
            beforeSend: function(objeto)
            {
                $("#tabla").html("Mensaje: Cargando...");
            },
            success: function(datos)
            {
                $("#tabla").html(datos);
                loadTabla();
                loadtotal();      
            }
        });
    }
    else 
    {
        if (parseInt(cantidadexistente) < parseInt(cantidad))
        {
            alert('No se Facturar por debajo de la cantidad existente en bodega !');
            document.getElementById('cantidad'+artd_id).focus();
            return false;
        }
        if(parseInt(precio_venta)<parseInt(precio_costo))
        {
            alert('Esta facturando por debajo del precio de compra!');
        }
        $.ajax(
        {
            type: "POST",
            url: "./php_pedidos/agregar_detallado.php",
            data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&pen_id="+pen_id,
            beforeSend: function(objeto)
            {
              $("#tabla").html("Mensaje: Cargando...");
            },
            success: function(datos)
            {
                $("#tabla").html(datos);
                loadTabla();
                loadtotal();      
            }
        });
    }    
}





$("#barras").submit(function( event ) {
var pen_id=$("#pen_id").val();
var art_barras=document.getElementById('art_barras').value;
$.ajax({
    type: "POST",
    url: "php_pedidos/agregar_articulo_barras.php",
    data: "art_barras="+art_barras+"&pen_id="+pen_id,
        beforeSend: function(objeto){
         $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#tabla").html(datos);
    }
  });
  event.preventDefault();
}) 



 //registrar cliente
$( "#nuevo_clie" ).submit(function( event ) {
$('#btn_cliente').attr("disabled", true);
var parametros = $(this).serialize();
      var pen_id=$("#pen_id").val();

   $.ajax({
      type: "POST",
      url: "php_clientes/registrar_cliente_pedidos.php",
      data: parametros+"&pen_id="+pen_id,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_cliente").html(datos);
      $('#btn_cliente').attr("disabled", false);
      document.getElementById("nuevo_clie").reset();
      $('#nuevocliente').modal('hide');
      $('body').removeClass('modal-open');
      $('.modal-backdrop').remove();
      loadTabla();
      loadtotal();
      loadcliente();
     
      }
  });
  event.preventDefault();
})


  function update_cliente(campo,clie_id){
    var pen_id=$("#pen_id").val();
    var parametros = {"action":"update","campo":campo,"clie_id":clie_id,"pen_id":pen_id}; 
    $.ajax({
        type: "POST",
        url: "./php_pedidos/cambiar_cliente.php",
        data: parametros,
        beforeSend: function(objeto){
            $("#resultados_clie").html("Mensaje: Cargando...");
        },
        success: function(datos){
            $("#resultados_clie").html(datos);
           // loadcliente();  
        }
        });
    }  

</script>
</body>
</html>
<?php
      }
      else
      {
        echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
        echo '<script>location.href = "M_pedidos.php";</script>';
      }
     } 
    else
    {
      echo '<script>alert("primero debes Iniciar Cesion para ver esta pagina")</script>';
      echo '<script>location.href = "index.php";</script>';
    }
    ?>
